Bug 817302 - Review Request: php-twig-Twig - Twig is a modern template engine for PHP
Review Request: php-twig-Twig - Twig is a modern template engine for PHP
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Christof Damian
Fedora Extras Quality Assurance
:
Depends On: 817299
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-28 15:01 EDT by Shawn Iwinski
Modified: 2012-06-28 12:05 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-26 17:27:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
christof: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Shawn Iwinski 2012-04-28 15:01:11 EDT
Spec URL: http://people.redhat.com/siwinski/rpmbuild/SPECS/php-twig-Twig.spec

SRPM URL: http://people.redhat.com/siwinski/rpmbuild/SRPMS/php-twig-Twig-1.7.0-1.fc16.src.rpm

Description: The flexible, fast, and secure template engine for PHP.

* Fast: Twig compiles templates down to plain optimized PHP code. The
  overhead compared to regular PHP code was reduced to the very minimum.

* Secure: Twig has a sandbox mode to evaluate untrusted template code. This
  allows Twig to be used as a template language for applications where users
  may modify the template design.

* Flexible: Twig is powered by a flexible lexer and parser. This allows the
  developer to define its own custom tags and filters, and create its own
  DSL.
Comment 2 Christof Damian 2012-05-20 07:17:15 EDT
Some fixes are needed, mostly about the requires.

Issues:
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
See: http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
[!]: MUST Requires correct, justified where necessary.

- requires php instead of php-common
- I think there are some required extensions missing. Some are optional, but
  for example dom doesn't seem to be optional
Comment 3 Shawn Iwinski 2012-05-20 14:21:30 EDT
Updates per comment #2 and comments in bug 823043

- Removed BuildRoot
- Changed php require to php-common
- Added the following requires based on phpci results:
  php-ctype, php-date, php-dom, php-iconv, php-json, php-mbstring,
  php-pcre, php-reflection, php-spl
- Removed %defattr from %files section

SPEC URL:
http://people.redhat.com/siwinski/rpmbuild/SPECS/php-twig-Twig.spec

SRPM URL:
http://people.redhat.com/siwinski/rpmbuild/SRPMS/php-twig-Twig-1.8.1-2.fc16.src.rpm
Comment 4 Christof Damian 2012-05-20 14:38:59 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated

==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Rpmlint is run on all installed packages.
[x]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[-]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

==== PHP ====
[x]: MUST Package requires php-common instead of php.

ACCEPT
Comment 5 Shawn Iwinski 2012-05-31 13:41:06 EDT
Updated to upstream version 1.8.2 & updates per bug #817303

- Removed "BuildRequires: php-pear >= 1:1.4.9-1.2"
- Updated %prep section
- Removed cleaning buildroot from %install section
- Removed %clean section

SPEC URL: http://people.redhat.com/siwinski/rpmbuild/SPECS/php-twig-Twig.spec

SRPM URL: http://people.redhat.com/siwinski/rpmbuild/SRPMS/php-twig-Twig-1.8.2-1.fc16.src.rpm
Comment 6 Remi Collet 2012-06-06 12:12:10 EDT
As you are now in the packager group, you can now open the SCN request and proceed to the package import.

Please import the approved version (1.8.1) and then commit your post review changes.
Comment 7 Shawn Iwinski 2012-06-07 17:45:25 EDT
New Package SCM Request
=======================
Package Name: php-twig-Twig
Short Description: Twig is a modern template engine for PHP
Owners: siwinski
Branches: f16 f17 el6
InitialCC:
Comment 8 Gwyn Ciesla 2012-06-08 08:36:56 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2012-06-09 23:17:19 EDT
php-twig-Twig-1.8.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/php-twig-Twig-1.8.2-1.fc16
Comment 10 Fedora Update System 2012-06-09 23:17:51 EDT
php-twig-Twig-1.8.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/php-twig-Twig-1.8.2-1.fc17
Comment 11 Fedora Update System 2012-06-09 23:18:00 EDT
php-twig-Twig-1.8.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-twig-Twig-1.8.2-1.el6
Comment 12 Fedora Update System 2012-06-10 19:55:55 EDT
php-twig-Twig-1.8.2-1.fc16 has been pushed to the Fedora 16 testing repository.
Comment 13 Fedora Update System 2012-06-26 17:27:08 EDT
php-twig-Twig-1.8.2-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 14 Fedora Update System 2012-06-26 17:41:28 EDT
php-twig-Twig-1.8.2-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 15 Fedora Update System 2012-06-28 12:05:24 EDT
php-twig-Twig-1.8.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.